Skip to main content

List transactions by account

Requests to this endpoint return a list of transactions associated with the specified account.

Enhanced transaction data may be requested using the includes[] query parameter. Accepted values: category, counterparties, merchant, repeating_transaction. For more information, see the Optional Enhancement Query Parameter guide.

GET
/users/{user_identifier}/accounts/{account_guid}/transactions

Path Parameters

FieldRequiredType

user_identifier

Use either the user id you defined or the MX-defined user guid. See MX-Defined GUIDs vs IDs Defined by You​.

Required
String

account_guid

The unique id for an account.

Required
String

Query Parameters

FieldRequiredType

page

Results are paginated. Specify current page.

Optional
Integer

records_per_page

This specifies the number of records to be returned on each page. Defaults to 25. The valid range is from 10 to 1000. If the value exceeds 1000, the default value of 25 will be used instead.

Optional
Integer

from_date

Filter transactions from this date. This only supports ISO 8601 format without timestamp (YYYY-MM-DD). Defaults to 120 days ago if not provided. Maximum date range limit is 6 months.

Optional
String

to_date

Filter transactions to this date (at midnight). This only supports ISO 8601 format without timestamp (YYYY-MM-DD). Defaults to 5 days forward from the day the request is made to capture pending transactions. Maximum date range limit is 6 months.

Optional
String

from_created_at

Filter transactions from the date the transaction was created. This only supports ISO 8601 format without timestamp (YYYY-MM-DD). Maximum date range limit is 6 months.

Optional
String

to_created_at

Filter transaction to the date in which the transaction was created. This only supports ISO 8601 format without timestamp (YYYY-MM-DD). Maximum date range limit is 6 months.

Optional
String

from_updated_at

Filter transactions from the date the transaction was updated. This only supports ISO 8601 format without timestamp (YYYY-MM-DD). Maximum date range limit is 6 months.

Optional
String

to_updated_at

Filter transactions to the date in which the transaction was updated. This only supports ISO 8601 format without timestamp (YYYY-MM-DD). Maximum date range limit is 6 months.

Optional
String

category_guid

Filter transactions belonging to specified category_guid.

For example, ?category_guid=CAT-7829f71c-2e8c-afa5-2f55-fa3634b89874.

Optional
String

category_guid[]

Filter transactions belonging to any specified category_guid[] in url.

For example, ?category_guid[]=CAT-7829f71c-2e8c-afa5-2f55-fa3634b89874.

Optional
Array

top_level_category_guid

Filter transactions belonging to specified top_level_category_guid. This must be top level category guid, use category_guid for subcategory guid.

For example, ?top_level_category_guid=CAT-7829f71c-2e8c-afa5-2f55-fa3634b89874.

Optional
String

top_level_category_guid[]

Filter transactions belonging to any specified top_level_category_guid[] in url. This must be top level category guid(s), use category_guid for subcategory guid(s).

For example, ?top_level_category_guid[]=CAT-7829f71c-2e8c-afa5-2f55-fa3634b89874.

Optional
Array

includes

Enrich transaction responses with additional metadata. Pass one or more values as an array to selectively include data.

Accepted values: category, counterparties, merchant, repeating_transaction.

Example: ?includes[]=category&includes[]=merchant

For more information, see the Optional Enhancement Query Parameter guide.

Optional
Array

Header Parameters

FieldRequiredType

Accept-Version

MX Platform API version.

Required
String
Loading...